Summary:	English version of the PHP Manual
Name:		php-manual_en
Version:	4.1.1
Release:	1mdk
Group:		System/Servers
URL:		http://www.php.net
Source0:	http://www.php.net/distributions/manual/php-manual_en.tar.bz2

License:	PHP License
BuildRoot:	%{_tmppath}/%{name}-root
Obsoletes:	mod_php3-manual php-manual
Provides:	mod_php3-manual php-manual
BuildArch:	noarch

%define apachecontent /var/www/html

%description 
The php-manual_en package provides comprehensive documentation for the
PHP4 HTML-embedded scripting language, in HTML format.

PHP is an HTML-embeddable scripting language.  PHP offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP is fairly simple.  The
most common use of PHP coding is probably as a replacement for CGI scripts.

%prep

mkdir -p php-manual_en
bunzip2 -dc %{SOURCE0} | tar -xf - -C php-manual_en

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT 

mkdir -p $RPM_BUILD_ROOT%{apachecontent}/addon-modules
pushd $RPM_BUILD_ROOT%{apachecontent}/addon-modules
rm -f php-manual_en-%{version}
ln -s  ../../../..%{_docdir}/php-manual_en-%{version} \
	php-manual_en-%{version}
popd


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,apache,apache)
%{apachecontent}/addon-modules
%doc php-manual_en/*


%changelog
* Mon Jan 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.1.1-1mdk
- PHP 4.1.1.

* Tue Dec 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.1.0-1mdk
- PHP 4.1.0.
- Added the complete URL in Source

* Fri Nov 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.0.6-3mdk
- Fix no-url and invalid-packager warnings in rpmlint.
- Now a noarch package (only html files).

* Fri Oct 19 2001 Christian Belisle <cbelisle@mandrakesoft.com> 4.0.6-2mdk
- fix obsolete-not-provided.

* Wed Jul  4 2001 Vincent Danen <vdanen@mandrakesoft.com> 4.0.6-1mdk
- 4.0.6
- s/Copyright/License/

* Sat Apr 14 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-6mdk
- New, separate package for the php manual. It was split since it is
  maintained separately from PHP. Also, the package name has changed, since
  there is now multiple language versions. We only include the english
  for now, but we'll have other languages eventually.

